﻿using System;

namespace Joycode.Reader.Framework
{
	public delegate void InitEventHandlere(object sender,InitEventArgs e);
	/// <summary>
	/// Summary description for InitEvent.
	/// </summary>
	public class InitEventArgs:EventArgs
	{
		private string description;
		private bool ifFinish;
		public InitEventArgs(string description,bool ifFinish)
		{
			this.description = description;
			this.ifFinish = ifFinish;
		}
		public string Description
		{
			get
			{
				return this.description;
			}
		}
		public bool IfFinish
		{
			get
			{
				return this.ifFinish;
			}
		}

	}
}
