﻿using System;

namespace Joycode.Reader.Framework
{
	/// <summary>
	/// Summary description for RemoteUpdateEvent.
	/// </summary>
	public class RemoteUpdateEventArgs:EventArgs
	{
		private UpdateState state;
		public RemoteUpdateEventArgs(UpdateState state)
		{
			this.state = state;

		}
		public UpdateState State
		{
			get
			{
				return this.state;
			}
		}
	}
	public delegate void RemoteUpdateEventHandler(object sender,RemoteUpdateEventArgs e);
	public class UpdateState
	{
		private string description;
		private bool ifFinish;
		private bool ifUpdate;
		public UpdateState(string description,bool ifFinish,bool ifUpdate)
		{
			this.description = description;
			this.ifFinish = ifFinish;
			this.ifUpdate = ifUpdate;
		}
		public string Description
		{
			get
			{
				return this.description;
			}

		}
		public bool IfUpdate
		{
			get
			{
				return this.ifUpdate;
			}
			
		}
		public bool IfFinish
		{
			get
			{
				return this.ifFinish;
			}
		}
	}
}
