using System;
using System.Xml;
using System.Data;
using System.Net;
using System.IO;
namespace Joycode.Reader.Framework
{
	/// <summary>
	/// DataSource ժҪ˵
	/// </summary>
	public class DataSource
	{
		public DataSource()
		{
			//
			// TODO: ڴ˴ӹ캯߼
			//
		}
		public event UpdateFinishEventHandler UpdateFinish;
		private void OnUpdateFinish(BLOG blog)
		{
			if(this.UpdateFinish!=null)
				this.UpdateFinish(this,new UpdateFinishEventArgs(blog));
		}
		public BLOG DownloadContentFromRssSource(string url)
		{
			BLOG blog = null;
			Stream stream=null;
			// get the data remotely
//			WebRequest wRequest = WebRequest.Create(url);

			// Set the WebRequest properties
			//wRequest.Timeout =3000;// this.Timeout;
			//if (this.Proxy != null) wRequest.Proxy = this.Proxy;

			WebResponse wResponse = null;
			try
			{
//				wResponse = wRequest.GetResponse();
//				System.Net.WebHeaderCollection headers = wResponse.Headers;
//				DateTime LastModifiedTime = DateTime.Parse(headers["Last-Modified"]);
//				stream = wResponse.GetResponseStream();
//
//				StreamReader reader = new StreamReader(stream, System.Text.Encoding.UTF8);
				StreamReader reader=new StreamReader(@"/1.xml",System.Text.Encoding.UTF8);
				string content=reader.ReadToEnd();
				reader.Close();
				blog=this.ParseContent(content);				
				this.OnUpdateFinish(blog);
//				StreamWriter writer=new StreamWriter(System.IO.Path.Combine("/","reader.txt"));
//				writer.Write(content);
//				writer.Close();
			}
			catch(WebException wTimeout)
			{
				throw new Exception("ʱ:"+wTimeout.Message);
			}
			catch(Exception eUnknown)
			{
				throw eUnknown;
			}
			finally
			{
				if (wResponse != null)
					wResponse.Close();
			}
			return blog;
			// Create a collection of RssItem instances
//			ArrayList feedItems = null;
//			
//			XPathNavigator xpNav = xpDoc.CreateNavigator();
//			
//			// May 11, 2004: Move to first child - bug found and fixed by James Crowley
//			xpNav.MoveToRoot();
//			xpNav.MoveToFirstChild();
//			while (xpNav.NodeType != XPathNodeType.Element && xpNav.MoveToNext()) {}				
//
//			// See if we are working with RSS or RDF
//			if (xpNav.Name == "rdf:RDF")
//				// we're working with an RDF document here
//				feedItems = GetRDFData(xpNav);
//			else if (xpNav.Name == "rss")
//				// we're working with an RSS document
//				feedItems = GetRSSData(xpNav);
//			else
//				// unknown format
//				throw new ApplicationException("RssFeed only works with RDF or RSS feeds.");
//
//			// Add the feedItems to the cache, if necessary
//			if (dataSource is string && this.CacheDuration > 0)
//				// Add to data cache
//				HttpContext.Current.Cache.Insert((string) dataSource, new Triplet(HeaderText, this.HeaderNavigateUrl, feedItems), null, DateTime.Now.AddMinutes(this.CacheDuration), TimeSpan.Zero);
//
//			// return the collection
//			return feedItems;
		}
		private BLOG ParseContent(string content)
		{
			BLOG blog=null;
			XmlDocument document=new XmlDocument();
			document.LoadXml(content);
			
			XmlNode root=document.FirstChild;
			if(root.Name.Equals("rss"))
			{
				blog=this.ParseRssContent(document);

			}
			return blog;
		


		}
		private BLOG ParseRssContent(XmlDocument document)
		{
			string name=document.GetElementsByTagName("title")[0].InnerText;
			string url=document.GetElementsByTagName("link")[0].InnerText;
			BLOG blog=new BLOG(name,url);
			XmlNodeList lists=document.GetElementsByTagName("item");
			foreach(XmlNode node in lists)
			{
				string title="";
				string link="";
				string description="";
				string author="";
				string category="";
				DateTime pubDate=System.DateTime.MinValue;
				foreach(XmlNode child in node.ChildNodes)
				{
					switch(child.Name)
					{
						case "title":
							title=child.InnerText;
							break;
						case "link":
							link=child.InnerText;
							break;
						case "pubDate":
							pubDate=DateTime.Parse(child.InnerText);
							break;
						case "description":
							description=child.InnerText;
							break;
						case "category":
							category=child.InnerText;
							break;
						case "author":
							author=child.InnerText;
							break;
						case "dc:creator":
							author=child.InnerText;
							break;
					}

				}
				blog.Add(new RssItem(title,link,description,author,category,pubDate));
				
			}
			return blog;
			
			
		}
		private void SaveToFile(BLOG blog)
		{
			
		}
//		public RssItem[] GetRssItem(int count)
//		{
//			System.Xml.XmlDocument document;
//			
//		}
//		#region Get RSS Data
//		protected virtual ArrayList GetRSSData(XPathNavigator xpNav)
//		{
//			ArrayList feedItems = new ArrayList();
//
//			XPathNodeIterator items = xpNav.Select("/rss/channel/item");
//
//			// pre-compile XPath evaluation expressions
//			XPathExpression titleExpr = xpNav.Compile("string(title/text())");
//			XPathExpression linkExpr = xpNav.Compile("string(link/text())");
//			XPathExpression descExpr = xpNav.Compile("string(description/text())");
//			XPathExpression authorExpr = xpNav.Compile("string(author/text())");
//			XPathExpression categoryExpr = xpNav.Compile("string(category/text())");
//			XPathExpression pubDateExpr = xpNav.Compile("string(pubDate/text())");
//
//			if (items == null)
//				// XML not in expected format
//				throw new FormatException("RSS feed is not in expected format.  See http://blogs.law.harvard.edu/tech/rss for the specification.");
//			else
//			{
//				// get the header/url of the blog, if needed
//				if (ShowHeader && this.HeaderText == String.Empty)
//					HeaderText = (string) xpNav.Evaluate("string(/rss/channel/title/text())");
//				if (this.LinkHeader && this.HeaderNavigateUrl == String.Empty)
//					HeaderNavigateUrl = (string) xpNav.Evaluate("string(/rss/channel/link/text())");
//
//
//				// Determine if we want to limit the number of results based on the MaxItems property
//				int upperBound = items.Count;
//				if (upperBound > MaxItems)
//					upperBound = MaxItems;
//
//				int countDisplayed = 0;
//				while (items.MoveNext())
//				{
//					// read in the properties
//					string title = (string) items.Current.Evaluate(titleExpr);			// <title>
//					string link = (string) items.Current.Evaluate(linkExpr);			// <link>
//					string description = (string) items.Current.Evaluate(descExpr);		// <description>
//					string author = (string) items.Current.Evaluate(authorExpr);		// <author>
//					string category = (string) items.Current.Evaluate(categoryExpr);	// <category>
//					string pubDate = (string) items.Current.Evaluate(pubDateExpr);		// <pubDate>
//
//					DateTime pubDateDT = DateTime.MinValue;
//					bool titlePresent = title.Length > 0;
//					if (description.Length == 0)
//						// description is not present, make sure title is
//						if (!titlePresent)
//							throw new FormatException("The RSS specification requires that each item have at minimum a title or description.  Item found with neither title nor description.");
//
//					try
//					{
//						if (pubDate.Length > 0)
//							pubDateDT = DateTime.Parse(pubDate);
//					}
//					catch
//					{
//						// pubDateNode's value is null, or not in a correct format...
//						pubDateDT = DateTime.Now;
//					}
//
//					// Create a new RssItem instance and add it to the collection
//					feedItems.Add(new RssItem(title, link, description, author, category, pubDateDT));
//
//					// increment count and exit while loop, if needed
//					countDisplayed++;
//					if (countDisplayed >= upperBound) break;
//				}
//			}
//
//			return feedItems;
//		}
//		#endregion
//
//		#region Get RDF Data
//		protected virtual ArrayList GetRDFData(XPathNavigator xpNav)
//		{
//			ArrayList feedItems = new ArrayList();
//
//			XmlNamespaceManager mgr = new XmlNamespaceManager(xpNav.NameTable);
//			mgr.AddNamespace("rdf", "http://www.w3.org/1999/02/22-rdf-syntax-ns#");
//			mgr.AddNamespace("defNS", "http://purl.org/rss/1.0/");
//
//			// pre-compile XPath evaluation expressions and assign namespace manager
//			XPathExpression itemsExpr = xpNav.Compile("/rdf:RDF/defNS:item");
//			itemsExpr.SetContext(mgr);
//
//			XPathExpression topTitleExpr = xpNav.Compile("string(/rdf:RDF/defNS:channel/defNS:title/text())");
//			topTitleExpr.SetContext(mgr);
//			XPathExpression topLinkExpr = xpNav.Compile("string(/rdf:RDF/defNS:channel/defNS:link/text())");
//			topLinkExpr.SetContext(mgr);
//			
//			XPathExpression titleExpr = xpNav.Compile("string(defNS:title/text())");
//			titleExpr.SetContext(mgr);
//			XPathExpression linkExpr = xpNav.Compile("string(defNS:link/text())");
//			linkExpr.SetContext(mgr);
//			XPathExpression descExpr = xpNav.Compile("string(defNS:description/text())");
//			descExpr.SetContext(mgr);
//
//			XPathNodeIterator items = xpNav.Select(itemsExpr);
//			if (items == null)
//				// XML not in expected format
//				throw new FormatException("RDF feed is not in expected format.  See http://web.resource.org/rss/1.0/spec for the specification.");
//			else
//			{
//				// get the header/url of the blog, if needed
//				if (ShowHeader && this.HeaderText == String.Empty)
//					HeaderText = (string) xpNav.Evaluate(topTitleExpr);
//
//				if (this.LinkHeader && this.HeaderNavigateUrl == String.Empty)
//					HeaderNavigateUrl = (string) xpNav.Evaluate(topLinkExpr);
//
//
//				// Determine if we want to limit the number of results based on the MaxItems property
//				int upperBound = items.Count;
//				if (upperBound > MaxItems)
//					upperBound = MaxItems;
//
//				int countDisplayed = 0;
//
//				while (items.MoveNext())
//				{
//					// read in the properties
//					string title = (string) items.Current.Evaluate(titleExpr);		// <title>
//					string link = (string) items.Current.Evaluate(linkExpr);		// <link>
//					string description = (string) items.Current.Evaluate(descExpr);	// <description>
//
//					if (title.Length == 0)
//						// RDF requires a title
//						throw new FormatException("The RDF specification requires that each item have a title.");
//					
//					if (link.Length == 0)
//						// RDF requires a title
//						throw new FormatException("The RDF specification requires that each item have a link.");
//
//					// Create a new RssItem instance and add it to the collection
//					feedItems.Add(new RssItem(title, link, description, String.Empty, String.Empty, DateTime.Now));
//
//					// increment count and exit while loop, if needed
//					countDisplayed++;
//					if (countDisplayed >= upperBound) break;
//				}
//			}
//
//			return feedItems;
//		}
//		#endregion
	
	}
}
