using System;
using Microsoft.Office.Interop.SmartTag;
using Word=Microsoft.Office.Interop.Word;
using System.Windows.Forms;
using System.Runtime.Remoting.Messaging;
using Joycode.SmartDocument.RSS;
using System.Text.RegularExpressions;
namespace RSSReader
{
	/// <summary>
	/// ReaderDocument ժҪ˵
	/// </summary>
	public class ReaderDocument:ISmartDocument
	{
		#region 
		private const int count=2;
		private const string sNamespace="RSSReader";
		private const string sBLOG=sNamespace+"#BLOG";
		private const string sRSS=sNamespace+"#RSS";
		private string ValueOfTextBox="";
		private Word.Document document;
		private string prefix = "xmlns:n='RSSReader'";
		
		#endregion
		#region ISmartDocument Ա
		public void SmartDocInitialize(string ApplicationName, object Document, string SolutionPath, string SolutionRegKeyRoot)
		{
			this.document=Document as Word.Document;
		}
	
		public int SmartDocXmlTypeCount
		{
			get
			{
				
				return count;
			}
		}

		public string get_SmartDocXmlTypeName(int XMLTypeID)
		{
			string result="";
			switch(XMLTypeID)
			{
				case 1:
					result=sBLOG;
					break;
				default:
					break;
			}
			
			return result;
		}

		
		public string get_ControlNameFromID(int ControlID)
		{
			string result="";
			switch(ControlID)
			{
				case 1:
					result=sNamespace+ControlID.ToString();
					break;
				case 2:
					result=sNamespace+ControlID.ToString();
					break;
				default:
					break;
			}
			return result;
		}

		public int get_ControlID(string XMLTypeName, int ControlIndex)
		{
			int result=0;
			switch(XMLTypeName)
			{
				case sBLOG:
					result=ControlIndex;
					break;
				default:
					break;
			}
			return result;
			
		}
		public int get_ControlCount(string XMLTypeName)
		{
			int result=1;
			switch(XMLTypeName)
			{
				case sBLOG:
					result=2;
					break;
				default:
					break;
			}
			return result;
		}
		public Microsoft.Office.Interop.SmartTag.C_TYPE get_ControlTypeFromID(int ControlID, string ApplicationName, int LocaleID)
		{
			C_TYPE result=new C_TYPE();
			//MessageBox.Show(ControlID.ToString());
			switch(ControlID)
			{
				case 1:
					result=C_TYPE.C_TYPE_BUTTON;
					break;
				case 2:
					result=C_TYPE.C_TYPE_TEXTBOX;
					break;
				default:
					break;
			}
			return result;
		}

		public string get_SmartDocXmlTypeCaption(int XMLTypeID, int LocaleID)
		{
			string result="";
			switch(XMLTypeID)
			{
				case 1:
					result="";
					break;
				default:
					break;
			}
			return result;
		}

		public string get_ControlCaptionFromID(int ControlID, string ApplicationName, int LocaleID, string Text, string Xml, object Target)
		{
			string result="";
			switch(ControlID)
			{
				case 1:
					result="ȡĵ";
					break;
				case 2:
					result="RSSĵַ";
					break;
				default:
					break;
			}
			return result;
		}
		public void InvokeControl(int ControlID, string ApplicationName, object Target, string Text, string Xml, int LocaleID)
		{
			Word.Range range=Target as Word.Range;
			switch ( ControlID)
			{
				case 1:
					this.GetDocumentFromWeb(range);
					//MessageBox.Show(range.XMLNodes[1].SelectNodes("name","",false);
					//MessageBox.Show("Done");
					//range.XMLNodes[1].Range.Text=this.ValueOfTextBox;
					break;

				default:
					break;

			}
		}
		
		public void OnTextboxContentChange(int ControlID, object Target, string Value)
		{
			switch(ControlID)
			{
				case 2:
					this.ValueOfTextBox=Value;
					break;
				default:
					break;
			}
			
		}
		public void PopulateCheckbox(int ControlID, string ApplicationName, int LocaleID, string Text, string Xml, object Target, ISmartDocProperties Props, ref bool Checked)
		{
			// TODO:   ReaderDocument.PopulateCheckbox ʵ
		}

		
		public void OnRadioGroupSelectChange(int ControlID, object Target, int Selected, string Value)
		{
			// TODO:   ReaderDocument.OnRadioGroupSelectChange ʵ
		}

		

		public void PopulateRadioGroup(int ControlID, string ApplicationName, int LocaleID, string Text, string Xml, object Target, ISmartDocProperties Props, ref Array List, ref int Count, ref int InitialSelected)
		{
			// TODO:   ReaderDocument.PopulateRadioGroup ʵ
		}

	

		public void PopulateActiveXProps(int ControlID, string ApplicationName, int LocaleID, string Text, string Xml, object Target, ISmartDocProperties Props, ISmartDocProperties ActiveXPropBag)
		{
			// TODO:   ReaderDocument.PopulateActiveXProps ʵ
		}

		public void PopulateHelpContent(int ControlID, string ApplicationName, int LocaleID, string Text, string Xml, object Target, ISmartDocProperties Props, ref string Content)
		{
			// TODO:   ReaderDocument.PopulateHelpContent ʵ
		}

		public void PopulateTextboxContent(int ControlID, string ApplicationName, int LocaleID, string Text, string Xml, object Target, ISmartDocProperties Props, ref string Value)
		{
			// TODO:   ReaderDocument.PopulateTextboxContent ʵ
		}

		public void OnListOrComboSelectChange(int ControlID, object Target, int Selected, string Value)
		{
			// TODO:   ReaderDocument.OnListOrComboSelectChange ʵ
		}

		

		public void ImageClick(int ControlID, string ApplicationName, object Target, string Text, string Xml, int LocaleID, int XCoordinate, int YCoordinate)
		{
			// TODO:   ReaderDocument.ImageClick ʵ
		}

		public void OnCheckboxChange(int ControlID, object Target, bool Checked)
		{
			// TODO:   ReaderDocument.OnCheckboxChange ʵ
		}

		public void PopulateOther(int ControlID, string ApplicationName, int LocaleID, string Text, string Xml, object Target, ISmartDocProperties Props)
		{
			// TODO:   ReaderDocument.PopulateOther ʵ
		}

		public void PopulateImage(int ControlID, string ApplicationName, int LocaleID, string Text, string Xml, object Target, ISmartDocProperties Props, ref string ImageSrc)
		{
			// TODO:   ReaderDocument.PopulateImage ʵ
		}

		public void PopulateListOrComboContent(int ControlID, string ApplicationName, int LocaleID, string Text, string Xml, object Target, ISmartDocProperties Props, ref Array List, ref int Count, ref int InitialSelected)
		{
			// TODO:   ReaderDocument.PopulateListOrComboContent ʵ
		}

		

		public void OnPaneUpdateComplete(object Document)
		{
			// TODO:   ReaderDocument.OnPaneUpdateComplete ʵ
		}

		public void PopulateDocumentFragment(int ControlID, string ApplicationName, int LocaleID, string Text, string Xml, object Target, ISmartDocProperties Props, ref string DocumentFragment)
		{
			// TODO:   ReaderDocument.PopulateDocumentFragment ʵ
		}
	
	
		
		#endregion
		private delegate void UpdateDelegate();

		private void GetDocumentFromWeb(Word.Range range)
		{
			//string result="";
			Manager manager=new Manager();
			string url=this.ValueOfTextBox.Trim();
			if(!url.ToLower().StartsWith("http://"))
			{
				MessageBox.Show("URL\"http://\"ͷģַ","",MessageBoxButtons.OK,MessageBoxIcon.Warning);
				return;
			}
			manager.Url=url;
			State s=new State(manager,range);
			UpdateDelegate d=new UpdateDelegate(manager.Update);
			
			
			d.BeginInvoke(new AsyncCallback(this.GetDocumentFromWebCallBack),s);

			
			
			

			
		}
		private void InsertDocumentToWord(BLOG blog,Word.Range range)
		{
			//string name=@"<w:p><w:pPr><w:pStyle w:val=""Heading1"" > "+blog.Name+"</w:pStyle></w:pPr></w:p>";
			//object o=System.Reflection.Missing.Value;
			range.XMLNodes[1].SelectSingleNode("/n:BLOG/n:Name",prefix,true).Range.Text=blog.Name;
			
			object o=blog.Link;
			range.XMLNodes[1].SelectSingleNode("/n:BLOG/n:Url",prefix,true).Text=blog.Link+" ";
			//range.XMLNodes[1].SelectSingleNode("/n:BLOG/n:LastUpdated",prefix,true).Text=blog.Items.Length.ToString();
			
			System.Text.StringBuilder builder=null;
			foreach(RssItem item in blog.Items)
			{
				builder=new System.Text.StringBuilder();
				builder.Append(item.Title+"\r\n");
				builder.Append(item.Link+"\r\n");
				builder.Append(item.Author+"\r\n");
				builder.Append(this.ConvertHTMLToWordML(item.Description)+"\r\n\r\n");
				range.InsertAfter(builder.ToString());
	
				
			
			}
			
		}
		private void GetDocumentFromWebCallBack(IAsyncResult ar)
		{
			UpdateDelegate d=(UpdateDelegate)((AsyncResult)ar).AsyncDelegate;
			d.EndInvoke(ar);
			State state=ar.AsyncState as State;
			Word.Range range=state.Range;
			Manager manager=state.BlogManager;
			this.InsertDocumentToWord(manager.Blog,range);
		
		}
		private string ConvertHTMLToWordML(string source)
		{
			string str=Regex.Replace(source,@"<[^>]*>" ,string.Empty,RegexOptions.IgnoreCase);
			str=Regex.Replace(str,"&nbsp;","  ",RegexOptions.IgnoreCase);
			str=Regex.Replace(str,"&[^;]+;",string.Empty,RegexOptions.IgnoreCase);
			return str;
			
			
		}
	}
	public class State
	{
		private Manager manager;
		private Word.Range range;
		public Manager BlogManager
		{
			get
			{
				return this.manager;
			}
		}
		public Word.Range Range
		{
			get
			{
				return this.range;
			}
		}
		public State(Manager manager,Word.Range range)
		{
			this.manager=manager;
			this.range=range;
		}
	}
}
